ROHTO - Bug #632

[HR-TIME DATA- ABSENCE HALFDAY] field sequence pada MD Absence Half Day dibuatkan

autoload
12/10/2021 02:28 PM - Muhammad Bintar

Status: Closed

Priority: Normal

Assignee: Saswanto Tampan
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

12/10/2021
12/13/2021
0%

0.00 hour
0.00 hour

Description

HTO

Workplace

Active

ter Data Employee Status:

nan Resource

HR Administration

Master Data 4

[ Organization Ma...

[0 Employee Admin... Overtime

[= Time Management Absence Quota

{] Time Data Absence

(®) Import Time ... Absence Half Day

() Export Time ... Attendance

{] Generate Wo... Work Schedule

{1 Generate Abs... Personal Work Sche...

Employee ID: 00000767

Full Name: Bramadi Purba

Employee Type: Permanent

00000767

00000767

00000767

Jika datanya tidak ada pada MD absence halfday maka sequence nya dibuat nilai value 1
jika data nya ada pada MD absence halfday maka sequence dibuat nilai dengan rumus= Max Sequences + 1
Company ID:
Employee Office:
Organization:

Position:

Ah<anra Half Nav - ANNNNTAT - Rramadi Purha

3

1

2

011272021

25/11/2021

25/11/72021

dear tim developer mohon support nya untuk penambahan fungsi pada MD Absence Halfday dimana pada saat melakukan action -
add , pada field Sequence dibuatkan autoload berdasarkan max sequence dengan data yang ada.

bintar

"

Head Office

Clear Filters

Employee ...  Sequence | Start Deduction End Deduction | Absence Quo.. Descripti... E

151272021 05

09/12/2021 0.5

09/12/2021 0,5

{] view Persona...
{] Generate Per...

» [J Time Report
bintar

<

HRiS Menu = Employee ID: 00000767 Company ID: ROHTO
» [ My Workplace Full Name: Bramadi Purba Employee Office: Head Office
» [ Master Data Employee Status: Active Organization:

~ = Human Resource Employee Type: Permanent Paosition:

+ [= HR Administration
» [ Organization Ma... Master Data Add - Absence Half Day - 00000767 - Bramadi Purba

» [ Employee Admin... Overtime Start Date: Create By:
= [ Time Management Absence Quota

End Date: Create Date:
{] Time Data Absence

Sequence: Change By:
(¥ Import Time ... Absence Half Day e

@ Export Time ... Attendance Start Deduction: Change Date:
minta dibuatkan autoload
£l Generate wo... Work Schedule End Deduction:

{l Generate Abs... Personal Work Sche...
Absence Quota:
{] View Persona...
{] Generate Per... Description:
» [ Time Report

b M Traval Manamam

History

#1 - 12/15/2021 04:45 PM - Saswanto Tampan
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

#2 - 01/17/2022 02:47 PM - Muhammad Bintar
- File clipboard-202201171445-z6q97.png added
- File clipboard-202201171446-myxdz.png added

update:
update script pada file mdgenerator.js di Ul/scripts
sebelum :
BB S | S | R S | R 1 [ TP | R T ST L] S 0 G | Bt Lt | T | B P e 52 ] A 3 1 | L
1211 r 1
1212
1213 war form_ = Ext.CompenentQuery.query{' [nam ridForrEdic' + tableName + ']') [0].getForm() ;
1214 form .reset();
1215 form .findField('EmployeeID').setValue (getParam('EmployeeID'))
1216 wvar p = Ext.ComponentQuery.query (' [name=FanslM tail] ') [0]:
1217 war tinggi = Ext.ComponentQuery.query(' [name=Mir idForrEdit’ + tableName + ']1') [0].getHeight () :
1218 [H if (tinggi < {
1219 tinggi
1220 | 1
1221 p.setHeight (tinggi + 100);
1222 Ext.ComponentQuery.query (' [gridMD=' + tableName + ']') [0].setHidden(true) :
1223 Ext.ComponentQuery.query (' [nam inovaGridFormEdic' + tableName + ']') [0].act = '0';
L1225 Ext.ComponentQuery.guery (' [name=DetailMD] ") [0].setTitle('2dd"' + ' - ' + Label + ' - ' + getParam("Employ: ' - ' + getParam("FulllVame™))
226 p_.unmask();
227 setKeyDisabled(false) ;
228 L }
229 Il
1230 text '
1231 name : ' da',
1232 iconCls .
1233 style : 'font-family: FontAwesome',
1234 [ handler : function () {
1235
1236 war grid_ = Ext.CompenentQuery.query(' [gridMD=' + tableName + ']') [0]:
1237 war selecton_ = grid_.getView().getSelectlonModel () .getSelection() [0]F
1238 if (selecton_) |
1239 var p_ = Ext.ComponentQuery.query (' [name=Main] ') [0];
1240 p_.mask('Loading...");
1241 if (Ext.ComponentQuery.query (' [name=i ridFormEdit' + tableName + ']')[0]} {
1242 Ext.ComponentQuery.query (' [na dFormEdit' + tableName + '] ') [(0].setHidden (false)
1243 } else {
1244 mdgenerator.createFormCard (tableName, "", "", renderTo, false, selecton_, '0'):
1245 3
1246 Ext.Co idFormEdit' + tablelame + ']') [0].getForm({).reset();

sesudah:
4 C:\ClientManagement\Rohto!Production\Ul\scripts\mdgenerator.js - Notepad-++ — X
File Edit Search View Encoding Language Settings Tools Macre Run  Plugins Window 7

e = l@co@l |§) ‘ﬂbﬂlggl‘—']'—jl;’ﬂr;ELj@'J"‘El |
B Web corfig ._j] H CiriGeneratePersonal WS js ._J} Web corfig £3 wiinbax js ._J] MinovaXype is ._j] H controllepeformance js _jl B Web corfig _jl B Web config £1 [ mdgeneratorjs E3 | mdgenerstorjs £3 .

E] if (tinggi <
tinggi = 330;

r }

p.setHeight (tinggi + 100);
Ext.ComponentQuery.query(
Ext.ComponentQuery.guery(

"1')[0] .secHidden (true) ;
t' + tableName + ']')[0].act = '0';

Ext.ComponentQuery.guery( J[0].2etTitle( ' 2dd" + ' - ' + Label + ' - ' + getParam{"”

if (Label = "Absence H
E {
var maxseqg="0"
E MinovalUtil.ExecuteParamjuery ({
ID: 8

EmployeeTl
}, function (3) {

var result = Ext.decode(s.responseText);

var dt = Ext.decode(Ext.decode (result.data)) s
& if (dt.length > 0){

maxseq = dt[0].max_seguence;}
n:
Ext.ComponentQuery.query (' [r

21"} [0] -setValue (maxseq) ;
}

p_.unmask():

text :
name :
iconCls .
atyle : et
= handler : function () {
war grid_ = Ext.ComponentQuery.query (' [g {0=" + tableName + ']} [C0];

war selecton_ = grid .getView() .getSelectionModel () .getSelection() [0]:
= if (selecton ) [

mponentQuery.query ('
1y

e

script:
Ext.ComponentQuery.query('[name=DetailMD]')[0].setTitle('Add’ + ' - ' + Label + ' - ' + getParam("EmployeelD") + ' - ' + getParam("FullName"));
if (Label == "Absence Half Day")

var maxseq='0'

MinovaUtil.ExecuteParamQuery({

ID: 'MAXSEQPA118',

EmployeelD:EmpID

}, function (s) {

var result = Ext.decode(s.responseText);

var dt = Ext.decode(Ext.decode(result.data));

if (dt.length > 0){

maxseq = di’.max_sequence;}

D;
Ext.ComponentQuery.query('[name=Seq]')[0].setValue(maxseq);

}

update ke custparam dengan nama MAXSEQPA118
query:
SELECT MAX + 1 AS max_sequence FROM PHRPAO0118 WHERE EmployeelD = @EmployeelD

#3 - 01/17/2022 03:11 PM - Muhammad Bintar
- File mdgenerator.js added

- File clipboard-202201171510-f1zv6.png added
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan

file mdgenerator.js

sudah deploy ke rohto production di client
HRIS Menu Home « Time Data

* 03 MyWorkploce Employee Overview - 00000001 - Syukur
* [ Master Data
. Employee ID: 00000001 Company ID: ROHTO
= = Human Resource
Full Name: Syulbcur Employee Office: Head Office
* = HR Administration
- Employee Status: Active Organization: General Affair HO
» [D Organization Ma..
Employee Type: Permanent Position: General Affair Staff
» [J Employee Admin...

- BT
Time Management Master Data 1 Add - Absence Half Day - 00000001 - Syukur
[ Time Data

. Overtime Start Date: Chan; :
(@ Impert Time ... - €= By

Absence ta
(3) Export Time ... e End Date: . Change Date:

Absence

[1 Generate Wo.. . o Sequence: Create By:
psence Hal
[l Generate Abs... =

Start Deduction: Create Date:
Start Time:
Files

clipboard-202112101426-5bxbi.png 117 KB 12/10/2021 Muhammad Bintar
clipboard-202112101427-xdgih.png 131 KB 12/10/2021 Muhammad Bintar
clipboard-202201171445-z6q97.png 92.2 KB 01/17/2022 Muhammad Bintar
clipboard-202201171446-myxdz.png 91.4 KB 01/17/2022 Muhammad Bintar
mdgenerator.js 92.7 KB 01/17/2022 Muhammad Bintar
clipboard-202201171510-f1zv6.png 204 KB 01/17/2022 Muhammad Bintar
